### Hierarchy

- Tile
  - TileContainer

## Index

### Constructors

- constructor

### Properties

- alpha
- colorTransform
- data
- id
- matrix
- originX
- originY
- parent
- rotation
- scaleX
- scaleY
- shader
- tileset
- visible
- x
- y

### Methods

- clone
- get_alpha
- get_colorTransform
- get_id
- get_matrix
- get_originX
- get_originY
- get_rotation
- get_scaleX
- get_scaleY
- get_shader
- get_tileset
- get_visible
- get_x
- get_y
- set_alpha
- set_colorTransform
- set_id
- set_matrix
- set_originX
- set_originY
- set_rotation
- set_scaleX
- set_scaleY
- set_shader
- set_tileset
- set_visible
- set_x
- set_y

## Constructors

### constructor

- new Tile(id?: number, x?: number, y?: number, scaleX?: number, scaleY?: number, rotation?: number): Tile

- - Defined in lib/openfl/display/Tile.d.ts:86

  #### Parameters

  - ##### Optional id: number

  - ##### Optional x: number

  - ##### Optional y: number

  - ##### Optional scaleX: number

  - ##### Optional scaleY: number

  - ##### Optional rotation: number

  #### Returns Tile

## Properties

### alpha

alpha: number

- Defined in lib/openfl/display/Tile.d.ts:14

### colorTransform

colorTransform: ColorTransform

- Defined in lib/openfl/display/Tile.d.ts:19

### data

data: any

- Defined in lib/openfl/display/Tile.d.ts:24

### id

id: number

- Defined in lib/openfl/display/Tile.d.ts:26

### matrix

matrix: Matrix

- Defined in lib/openfl/display/Tile.d.ts:31

### originX

originX: number

- Defined in lib/openfl/display/Tile.d.ts:36

### originY

originY: number

- Defined in lib/openfl/display/Tile.d.ts:41

### parent

parent: Tilemap

- Defined in lib/openfl/display/Tile.d.ts:46

### rotation

rotation: number

- Defined in lib/openfl/display/Tile.d.ts:48

### scaleX

scaleX: number

- Defined in lib/openfl/display/Tile.d.ts:53

### scaleY

scaleY: number

- Defined in lib/openfl/display/Tile.d.ts:58

### shader

shader: Shader

- Defined in lib/openfl/display/Tile.d.ts:63

### tileset

tileset: Tileset

- Defined in lib/openfl/display/Tile.d.ts:68

### visible

visible: boolean

- Defined in lib/openfl/display/Tile.d.ts:73

### x

x: number

- Defined in lib/openfl/display/Tile.d.ts:78

### y

y: number

- Defined in lib/openfl/display/Tile.d.ts:83

## Methods

### clone

- clone(): Tile

- - Defined in lib/openfl/display/Tile.d.ts:91

  #### Returns Tile

### Protected get_alpha

- get_alpha(): number

- - Defined in lib/openfl/display/Tile.d.ts:16

  #### Returns number

### Protected get_colorTransform

- get_colorTransform(): ColorTransform

- - Defined in lib/openfl/display/Tile.d.ts:21

  #### Returns ColorTransform

### Protected get_id

- get_id(): number

- - Defined in lib/openfl/display/Tile.d.ts:28

  #### Returns number

### Protected get_matrix

- get_matrix(): Matrix

- - Defined in lib/openfl/display/Tile.d.ts:33

  #### Returns Matrix

### Protected get_originX

- get_originX(): number

- - Defined in lib/openfl/display/Tile.d.ts:38

  #### Returns number

### Protected get_originY

- get_originY(): number

- - Defined in lib/openfl/display/Tile.d.ts:43

  #### Returns number

### Protected get_rotation

- get_rotation(): number

- - Defined in lib/openfl/display/Tile.d.ts:50

  #### Returns number

### Protected get_scaleX

- get_scaleX(): number

- - Defined in lib/openfl/display/Tile.d.ts:55

  #### Returns number

### Protected get_scaleY

- get_scaleY(): number

- - Defined in lib/openfl/display/Tile.d.ts:60

  #### Returns number

### Protected get_shader

- get_shader(): Shader

- - Defined in lib/openfl/display/Tile.d.ts:65

  #### Returns Shader

### Protected get_tileset

- get_tileset(): Tileset

- - Defined in lib/openfl/display/Tile.d.ts:70

  #### Returns Tileset

### Protected get_visible

- get_visible(): boolean

- - Defined in lib/openfl/display/Tile.d.ts:75

  #### Returns boolean

### Protected get_x

- get_x(): number

- - Defined in lib/openfl/display/Tile.d.ts:80

  #### Returns number

### Protected get_y

- get_y(): number

- - Defined in lib/openfl/display/Tile.d.ts:85

  #### Returns number

### Protected set_alpha

- set_alpha(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:17

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_colorTransform

- set_colorTransform(value: ColorTransform): ColorTransform

- - Defined in lib/openfl/display/Tile.d.ts:22

  #### Parameters

  - ##### value: ColorTransform

  #### Returns ColorTransform

### Protected set_id

- set_id(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:29

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_matrix

- set_matrix(value: Matrix): Matrix

- - Defined in lib/openfl/display/Tile.d.ts:34

  #### Parameters

  - ##### value: Matrix

  #### Returns Matrix

### Protected set_originX

- set_originX(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:39

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_originY

- set_originY(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:44

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_rotation

- set_rotation(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:51

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_scaleX

- set_scaleX(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:56

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_scaleY

- set_scaleY(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:61

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_shader

- set_shader(value: Shader): Shader

- - Defined in lib/openfl/display/Tile.d.ts:66

  #### Parameters

  - ##### value: Shader

  #### Returns Shader

### Protected set_tileset

- set_tileset(value: Tileset): Tileset

- - Defined in lib/openfl/display/Tile.d.ts:71

  #### Parameters

  - ##### value: Tileset

  #### Returns Tileset

### Protected set_visible

- set_visible(value: boolean): boolean

- - Defined in lib/openfl/display/Tile.d.ts:76

  #### Parameters

  - ##### value: boolean

  #### Returns boolean

### Protected set_x

- set_x(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:81

  #### Parameters

  - ##### value: number

  #### Returns number

### Protected set_y

- set_y(value: number): number

- - Defined in lib/openfl/display/Tile.d.ts:86

  #### Parameters

  - ##### value: number

  #### Returns number

Generated using TypeDoc